\documentclass[a4paper,notitlepage,oneside,]{article}
\usepackage[a4paper,margin=2.54cm]{geometry}
\usepackage[T1]{fontenc}
\usepackage[sfdefault,scaled=.85]{FiraSans}
\usepackage{newtxsf}
\usepackage{framed}
%
\usepackage{hyperref}
\usepackage[acronym,toc]{glossaries}
\usepackage{parskip}
\usepackage{graphicx}
\usepackage{tabularx}
\usepackage{float}
\usepackage{enumitem}
\usepackage{fancyhdr}
\begin{document}
\frenchspacing
\pagestyle{fancyplain}
\renewcommand{\footrulewidth}{0.4pt}
\fancyhf{}
\fancyhf[HLE,HLO]{Experiment 1b - Setup an IGP(OSPFv3/OSPF6 for IPv6)}
\fancyhf[HRE,HRO,FRE,FRO]{\thepage}
\fancyhf[FLE,FLO]{DE-CIX Academy}
\fancyhf[FCE,FCO]{BGP for networks who peer}
\title{Experiment 1b - Setup an IGP (OSPFv3/OSPF6 for IPv6)}
\date{Version 1.2}
\author{\href{mailto:academy@decix.net}{DE-CIX Academy}}
\maketitle
\section{Purpose}
OSPFv2 only deals with IPv4 interface addresses. To distribute IPv6 addresses, you need OSPFv3. In FRRouting OSPFv3 is named ``OSPF6''.

\section{Network Setup}
\begin{figure}[htp]
  \centering
  \includegraphics[width=\linewidth,page=2]{img/01-ibgp-drawings.pdf}
  \caption{Network Setup}
  \label{fig:networksetup}
\end{figure}
Figure \ref{fig:networksetup} shows the network topology for this experiment. All devices are connected in a ring like structure, each device has two neighbors.

\section{Slides}
%----------------------------------------------------------------
\clearpage
\begin{samepage}
\subsection*{\Huge Setup OSPFv3}
\LARGE

\begin{itemize}
  \item OSPFv3 runs on interfaces
  \item It still has the \emph{area} concept - be aware that areas can look like IPv4 addresses but they are not.
\end{itemize}
\vspace{1cm}

\begin{framed}
\begin{verbatim}
  conf term

  router ospf6

  interface dummy0 
    ipv6 ospf6 area 0

  interface eth0 
    ipv6 ospf6 area 0
  
  interface eth1 
    ipv6 ospf6 area 0
\end{verbatim}
\end{framed}

Show commands:
\begin{itemize}
  \item show ipv6 route connected
  \item show ipv6 route ospf6
  \item show ipv6 ospf6
  \item show ipv6 ospf6 interface
  \item show ipv6 ospf6 neighbor
  \item show running
  \item show ipv6 route
\end{itemize}
\end{samepage}
%----------------------------------------------------------------

\section{Your Device}
Please now connect to your device and check your IPv6 adresses. Fill out the following table. The commands you need are \emph{show running} and \emph{show interface}:

\begin{tabular}{|r|p{3.5cm}|p{4cm}|p{4cm}|}
  \hline
   & \textbf{Router Name}& \textbf{Interface Name} & \textbf{IP Address} \\
  \hline
  Loopback: &  & \emph{dummy0} &  \\[0.5cm]
  \hline
  Interface to the left: & &  &  \\[0.5cm]
  \hline
  Interface to the right: & & & \\[0.5cm]
  \hline
\end{tabular}

\section{Setup OSPF6}
\subsection{To set up OSPF6 you need to:}
\begin{itemize}
  \item Start the OSPF6 process
  \item Configure your router-id (an IPv4 address for whatever reason, use your IPv4 loopback address for this)
  \item Add \emph{interfaces} where OSPF6 should run on to the process
\end{itemize}

\subsection{The commands you need are:}
\begin{description}
  \item[show ipv6 route ospf6] shows you all prefixes routed within OSPF6
  \item[show ipv6 ospf6] gives you information about the OSPF6 process
  \item[show ipv6 ospf6 interface] shows details about each interface where OSPF6 is running
  \item[show ipv6 ospf6 neighbor] shows disovered neighbor routers which run OSPF6
\end{description}

\subsection{To configure OSPF6 in config mode you need:}
\begin{description}
  \item[router-id <a.b.c.d>] configures your router-id. Use your loopback IPv4 address for this. This is a global command in FRRouting (configure it \emph{outside} of the OSPF6 router context).
  \item[router ospf6] starts the OSPF6 process
  \item[ipv6 ospf6 area 0] in interface-context enables OSPF6 on the given interface with area \emph{0} (area 0 is the backbone area). You need this statement in each interface you want to run OSPF6 on including the dummy/loopback interface.
\end{description}

\subsection{Tasks:}
\begin{itemize}
  \item Enable OSPF6 on the right, left, and dummy interface
  \item Check the routing table after all routers have OSPF6 enabled. For this, do a \emph{show ipv6 route ospf6} and take note which loopback addresses are routed through your left and which through your right interface
  \item Do a \emph{ping} to some of the other loopback addresses.
  \item Do a \emph{traceroute} to the other loopback addresses and take note which way the packets go
  \item Shut down one of your interfaces (command \emph{shutdown} in interface context in config mode), do the same traceroutes again. Has anything changed?
  \item Unshut (command: \emph{no shutdown}) the same interface and try again.
  \item Do all a \emph{show ipv6 route ospf6}, the one of the participants shuts down one interface. Do all the \emph{show ipv6 route ospf6} again and note what has changed.
\end{itemize}

\begin{minipage}{\textwidth}
\section{Solution}
\subsection{Solution for FRRouting}
\begin{verbatim}
  router ospf6

  interface dummy0 
    ipv6 ospf6 area 0

  interface eth0 
    ipv6 ospf6 area 0

  interface eth1 
    ipv6 ospf6 area 0
\end{verbatim}
\end{minipage}
\begin{minipage}{\textwidth}

\subsection{Solution for Juniper}
\begin{verbatim}
protocols {
  ospf3 {
        area 0.0.0.0 {
            interface lo0.0;
            interface em0.0;
            interface em1.0;
        }
    }
}
\end{verbatim}
\end{minipage}

\begin{minipage}{\textwidth}
\subsection{Solution for Mikrotik}
\begin{verbatim}
/routing ospf-v3 interface
add area=backbone interface=loopback0
add area=backbone interface=ether1
add area=backbone interface=ether2
\end{verbatim}
\end{minipage}
  
\end{document}
